<template>
  <FeedbackResults
    :ordered-questions="orderedQuestions"
    :feedback-data="feedbackData"
    :rating-keys="ratingKeys"
    :vertical-chart-keys="verticalChartKeys"
    :horizontal-chart-keys="horizontalChartKeys"
    :open-keys="openKeys"
  />
</template>

<script setup lang="ts">
import FeedbackResults from "@/pages/cockpit/FeedbackResults.vue";
import type { FeedbackData } from "@/types";
import * as log from "loglevel";
import { useTranslation } from "i18next-vue";

defineProps<{
  feedbackData: FeedbackData;
}>();

log.debug("FeedbackPageUK created");

const { t } = useTranslation();

const orderedQuestions = [
  {
    key: "satisfaction",
    question: t("feedback.satisfactionLabel"),
  },
  {
    key: "goal_attainment",
    question: t("feedback.goalAttainmentLabel"),
  },
  {
    key: "proficiency",
    question: t("feedback.proficiencyLabel"),
  },
  {
    key: "preparation_task_clarity",
    question: t("feedback.preparationTaskClarityLabel"),
  },
  {
    key: "instructor_competence",
    question: t("feedback.instructorCompetenceLabel"),
  },
  {
    key: "instructor_respect",
    question: t("feedback.instructorRespectLabel"),
  },
  {
    key: "instructor_open_feedback",
    question: t("feedback.instructorOpenFeedbackLabel"),
  },
  {
    key: "would_recommend",
    question: t("feedback.recommendLabel"),
  },
  {
    key: "course_negative_feedback",
    question: t("feedback.courseNegativeFeedbackLabel"),
  },
  {
    key: "course_positive_feedback",
    question: t("feedback.coursePositiveFeedbackLabel"),
  },
];

const ratingKeys = [
  "satisfaction",
  "goal_attainment",
  "instructor_competence",
  "instructor_respect",
];
const verticalChartKeys = ["preparation_task_clarity", "would_recommend"];
const horizontalChartKeys = ["proficiency"];
const openKeys = [
  "course_negative_feedback",
  "course_positive_feedback",
  "instructor_open_feedback",
];
</script>

<style scoped></style>
